Apache C++ Standard Library Reference Guide

## <deque>

Library: Containers

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<deque>` is part of the Containers library of the C++ Standard Library. It defines the sequence class template deque, a set of relational operators that C++ programs may use to perform equality and inequality tests on specializations of deque, and the specialization of the `swap()` algorithm for deque.

### Synopsis

    namespace std {
      template <class T, class Allocator = allocator<T> >
      class deque;
      template <class T, class Allocator>
      bool operator==(const deque<T, Allocator>&,
                      const deque<T, Allocator>&);
      template <class T, class Allocator>
      bool operator<(const deque<T, Allocator>&,
                     const deque<T, Allocator>&);
      template <class T, class Allocator>
      bool operator!=(const deque<T, Allocator>&,
                      const deque<T, Allocator>&);
      template <class T, class Allocator>
      bool operator>(const deque<T, Allocator>&,
                     const deque<T, Allocator>&);
      template <class T, class Allocator>
      bool operator>=(const deque<T, Allocator>&,
                      const deque<T, Allocator>&);
      template <class T, class Allocator>
      bool operator<=(const deque<T, Allocator>&,
                      const deque<T, Allocator>&);
      template <class T, class Allocator>
      void swap(deque<T, Allocator>&, deque<T, Allocator>&);
    }

### See Also

deque, Containers, Sequences, `swap()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++Section 23.2.1